---
apiVersion: monitoring.coreos.com/v1
kind: ServiceMonitor
metadata:
  annotations:
    hostpathprovisioner.kubevirt.io/lastAppliedConfiguration: '{"kind":"ServiceMonitor","apiVersion":"monitoring.coreos.com/v1","metadata":{"name":"service-monitor-hpp","namespace":"openshift-cnv","creationTimestamp":null,"labels":{"app.kubernetes.io/component":"storage","app.kubernetes.io/managed-by":"hostpath-provisioner-operator","app.kubernetes.io/part-of":"hyperconverged-cluster","app.kubernetes.io/version":"4.19.11","k8s-app":"hostpath-provisioner","openshift.io/cluster-monitoring":"","prometheus.hostpathprovisioner.kubevirt.io":"true"}},"spec":{"endpoints":[{"port":"metrics","scheme":"http","tlsConfig":{"ca":{},"cert":{},"insecureSkipVerify":true}}],"selector":{"matchLabels":{"prometheus.hostpathprovisioner.kubevirt.io":"true"}},"namespaceSelector":{"matchNames":["openshift-cnv"]}}}'
  creationTimestamp: "2025-10-29T11:56:00Z"
  generation: 1
  labels:
    app.kubernetes.io/component: storage
    app.kubernetes.io/managed-by: hostpath-provisioner-operator
    app.kubernetes.io/part-of: hyperconverged-cluster
    app.kubernetes.io/version: 4.19.11
    k8s-app: hostpath-provisioner
    openshift.io/cluster-monitoring: ""
    prometheus.hostpathprovisioner.kubevirt.io: "true"
  managedFields:
  - apiVersion: monitoring.coreos.com/v1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:annotations:
          .: {}
          f:hostpathprovisioner.kubevirt.io/lastAppliedConfiguration: {}
        f:labels:
          .: {}
          f:app.kubernetes.io/component: {}
          f:app.kubernetes.io/managed-by: {}
          f:app.kubernetes.io/part-of: {}
          f:app.kubernetes.io/version: {}
          f:k8s-app: {}
          f:openshift.io/cluster-monitoring: {}
          f:prometheus.hostpathprovisioner.kubevirt.io: {}
      f:spec:
        .: {}
        f:endpoints: {}
        f:namespaceSelector:
          .: {}
          f:matchNames: {}
        f:selector: {}
    manager: hostpath-provisioner-operator
    operation: Update
    time: "2025-10-29T11:56:00Z"
  name: service-monitor-hpp
  namespace: openshift-cnv
  resourceVersion: "2148661"
  uid: 02cde907-18a2-4976-a683-ae7d145a67c0
spec:
  endpoints:
  - port: metrics
    scheme: http
    tlsConfig:
      ca: {}
      cert: {}
      insecureSkipVerify: true
  namespaceSelector:
    matchNames:
    - openshift-cnv
  selector:
    matchLabels:
      prometheus.hostpathprovisioner.kubevirt.io: "true"
